Translations
Machine-translate and save
POST
/translationsNeedscontent.editTranslates an item's stored text into every (or the listed) language and saves it. Uses the workspace's translation budget.
Authorization
secretKeyheader
AuthorizationBearer <sk_…>A secret API key from Settings → API keys. It acts with its creator's role.
Request Body
application/json- body
contentType*stringValue in
"tour""tour_step""tooltip""banner""checklist""checklist_item""announcement"contentId*integerRange
0 < value <= 2147483647sourceLanguage?stringDefault
"en"Value in
"en""uk""pl""es""pt""de""ru""fr""it""ja""zh"targetLanguages?array<>Items
items <= 11Response Body
OK
application/json- response
translations*array<>translatedTo*array<string>Shell
curl -X POST 'https://app.cueston.com/api/translations' \
-H 'Content-Type: application/json' \
-d '{
"contentType": "tour",
"contentId": 42
}'Example Response
JSON
{
"translations": [
{
"id": 42,
"contentType": "tour",
"contentId": 42,
"languageCode": "de",
"title": "Welcome to Acme",
"body": "Here's a quick look at where everything is.",
"buttonText": "Next",
"updatedAt": "2026-10-26T09:30:00Z"
}
],
"translatedTo": [
"string"
]
}